Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Versetzen auf gemessener Strecke

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Versetzen auf gemessener Strecke (447 mal gelesen)
Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

Autocad 2019/64B
Win10
WORKSTATION Intel(R) CPU E5-1620 3.60GHz
16,0GB Ram
64 Bit-Betriebssystem
HP Designjet T7200
Grafik NVIDIA Quadro P1000
ZWCAD2018

erstellt am: 10. Nov. 2005 08:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo
habe mir ein Lisp geschrieben, wo ich eine Stecke Messe, diese Strecke dann teile und eine Linie auch dieser Strecke versetzten lass.
aber das Versetzten funkt nicht so richtig.

(defun c:mteilen (/ tei-len)
  (setq pt1 (getpoint "\nAnfangspunkt eingeben: "))
  (setq pt2 (getpoint "\nEndpunkt eingeben: "))
  (setq lange (distance pt1 pt2))
  (setq teil (getint "\nWieviele Linien: "))
  (setq tei-len (/ lange teil))

  (setq entset (entsel))
  (setq Element (car entset))
  (setq side_point
(getpoint
  "\n Punkt auf Seite angeben, auf die versetzt werden soll: "
)
  )
  (repeat teil
    (command "_.offset" tei-len Element side_point "")
    (setq dummy   (entlast)
  tei-len (+ tei-len )
    )
  )
)


kann mir ein Profi helfen
danke

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 10. Nov. 2005 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Hallo

(defun c:mteilen (/ tei-len)
  (setq pt1 (getpoint "\nAnfangspunkt eingeben: "))
  (setq pt2 (getpoint "\nEndpunkt eingeben: "))
  (setq lange (distance pt1 pt2))
  (setq teil (getint "\nWieviele Linien: "))
  (setq tei-len (/ lange teil))

  (setq entset (entsel))
  (setq Element (car entset))
  (setq side_point
(getpoint
  "\n Punkt auf Seite angeben, auf die versetzt werden soll: "
)
  )
  (repeat teil
    (command "_.offset" tei-len Element side_point "")
    (setq Element   (entlast)
  tei-len (+ tei-len )
    )
  )
)

Gibt nur ein Problem wenn der Richtungspunkt innerhalb der neuen Linien angegeben wird. Dann werden die Linien teilseise in eine andere Richtung versetzt.
------------------
    Martin   

Viele Grüße aus dem schönen Münsterland!

[Diese Nachricht wurde von mkl-cad am 10. Nov. 2005 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

erstellt am: 10. Nov. 2005 09:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@ mkl-cad

Danke funkt
schick dir 10 u

Gibt nur ein Problem wenn der Richtungspunkt innerhalb der neuen Linien angegeben wird. Dann werden die Linien teilseise in eine andere Richtung versetzt. Bei ganz vielen Linien ergibt sich ein Rechenfehler.
Kann ich das lösen oder muss ich damit leben.

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 10. Nov. 2005 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Hallo Heinz,
ich würde eine weitere Variable verwenden für den zu versetzenden Abstand. => vs-len

In der Schleife wird jedesmal der Wert tei-len aufaddiert.

Code:

(defun c:mteilen (/ tei-len vs-len)
  (setq pt1 (getpoint "\nAnfangspunkt eingeben: "))
  (setq pt2 (getpoint "\nEndpunkt eingeben: "))
  (setq lange (distance pt1 pt2))
  (setq teil (getint "\nWieviele Linien: "))
  (setq tei-len (/ lange teil))

  (setq entset (entsel))
  (setq Element (car entset))
 
  (setq side_point
(getpoint
  "\n Punkt auf Seite angeben, auf die versetzt werden soll: "
)
  )
  (setq vs-len tei-len)
  (repeat teil
    (command "_.offset" vs-len Element side_point "")
    (setq dummy  (entlast)
          vs-len (+ vs-len tei-len)
 
    )
  )
)



------------------
viele Grüße

Jörn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 10. Nov. 2005 09:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

@Heinz ...
in deinem Prog schribst du
(setq pt1 (getpoint "\nAnfangspunkt eingeben: "))
(setq pt2 (getpoint "\nEndpunkt eingeben: "))
(setq lange (distance pt1 pt2))
verwendest aber Pt1 und pt2 nie mehr ..

nimm doch gleich stattdessen
(initget (+ 1 2 4))
(setq lange(getdist "\Länge eingeben:"))
das initget sorgt dafür, das nur pos. Werte > 0 akzepiert werden.

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 10. Nov. 2005 09:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Hallo

Das mit dem Rechenfehler war ein Fehler von mir. Sorry. Hatt diagonal einen Punkt angegeben und mich gewundert das die Linien weiter versetzt wurden als gedacht.
Das mit der Punktangabe könnte man höchstens umgehen wenn man mit kopieren arbeitet und nicht mit versetzten.
Kann das aber nicht weiter ausarbeiten da ich noch etwas arbeiten muß.

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 10. Nov. 2005 09:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Ne quatsch.

Du kannst am besten immer das erste Element versetzen. Dann ist das mit der Richtungsangabe Wurst. Dann halt immer den Abstand zum versetzen ändern.

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

erstellt am: 10. Nov. 2005 09:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Danke an Alle
bin anfänger bin froh das ich so weit komme.
danke für Vorschläge, werde ich gleich einbaun.
super Forum

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 10. Nov. 2005 09:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Dober Heinz 10 Unities + Antwort hilfreich

Hallo

Hier doch noch mein fertiger Vorschlag:

(defun c:mteilen (/ lange teil Element tei-len abstand side_point)
  (initget (+ 1 2 4))
  (setq lange(getdist "\Länge eingeben:"))
  (setq teil (getint "\nWieviele Linien: "))
  (setq tei-len (/ lange teil))
  (setq abstand tei-len)
  (setq entset (entsel))
  (setq Element (car entset))
  (setq side_point
(getpoint
  "\n Punkt auf Seite angeben, auf die versetzt werden soll: "
)
  )
  (repeat teil
    (command "_.offset" tei-len Element side_point "")
    (setq  tei-len (+ tei-len abstand ))
  )
)

------------------
  Martin 

Viele Grüße aus dem schönen Münsterland!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dober Heinz
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von Dober Heinz an!   Senden Sie eine Private Message an Dober Heinz  Schreiben Sie einen Gästebucheintrag für Dober Heinz

Beiträge: 1106
Registriert: 20.12.2002

erstellt am: 10. Nov. 2005 09:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@mkl-cad
danke dir

------------------
Heinz 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz